Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.getcargo.io/v1/workspaceManagement/workspaces \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "logoBase64": "<string>", "metadata": { "referralSource": [ "<string>" ] } } '
{ "workspace": { "uuid": "<string>", "name": "<string>", "allowedEmailDomains": [ "<string>" ], "temporalNamespace": "<string>", "temporalTaskQueuePrefix": "<string>", "openAiVectorStoreId": "<string>", "syncs": [ { "temporalScheduleWorkflowId": "<string>", "cron": "<string>" } ], "createdAt": "<string>", "updatedAt": "<string>", "logoUrl": "<string>", "metadata": { "mainGoal": [ "<string>" ], "salesRepCount": "<string>", "gtmStackList": [ "<string>" ], "referralSource": [ "<string>" ] }, "chromeExtensionMasterAgentUuid": "<string>", "chromeExtensionAvailableAgentUuids": [ "<string>" ], "defaultRoleUuid": "<string>" } }
Create a new workspace
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Request body schema.
Show child attributes
Successful response
Was this page helpful?